Inconsistent State Wanring

I’m ultra-modern to programming. I have been operating thru the “Automate the Boring Stuff with Python Programming.” I became looking to installation Pip and I want to realize if I left my system in an inconsistent nation because the pip install commands warn.

I observed these commandin/ , but I ended up the use of this YouTube video  to install Pip. Here’s what I did and the messages to get free email generator tool API from owly mail I obtained.

DEPRECATION: Python 2.7 reached the cease of its lifestyles on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. A future model of pip will drop help for Python 2.7. More details about Python 

WARNING: The listing ‘/Users/[user]/Library/Caches/pip’ or its determine directory is not owned or is not writable via the present day person. The cache has been disabled. Check the permissions and owner of that listing. If executing pip with sudo, you can want sudo’s -H flag.

https://documents.Pythonhosted.Org/applications/2d/0f/4eda562dffd085945d57c2d9a5da745cfb5228c02bc90f2c74bbac

Installing accumulated programs: pyperclip

Running setup.Py set up for pyperclip … Accomplished

Successfully set up pyperclip-1.7.0

WARNING: You are the usage of pip model 19.2.Three, however version 20.0.2 is to be had.

You should bear in mind upgrading through the ‘pip install --improve pip’ command.

@Justins-MacBook-Pro ~ % pip install --upgrade pip

DEPRECATION: Python 2.7 reached the cease of its life on January 1st, 2020. Please improve your Python as Python 2.7 is no longer maintained. A future model of pip will drop support for Python 2.7. More information about 

Defaulting to consumer installation because regular website online-packages is not writeable

Requirement already updated: pip in /Library/Python/2.7/web page-programs (20.0.2)

@Justins-MacBook-Pro ~ %

I saw the warning “Be cautious if you are the use of a Python set up that is managed by way of your running device or some other package supervisor. Get-pip.Py does now not coordinate with the ones tools, and might depart your system in an inconsistent nation” within the pip install commands